"use strict";Object.defineProperty(exports, "__esModule", { value: true });exports.default =














readProxyUrl;exports.








readManifestUrl = readManifestUrl;var _logger = require("../logger");var _logger2 = _interopRequireDefault(_logger);var _utils = require("../utils");function _interopRequireDefault(obj) {return obj && obj.__esModule ? obj : { default: obj };}function findDefault(array) {if (array) {for (var i = 0; i < array.length; ++i) {if (array[i].isDefault) {return array[i];}}}_logger2.default.error("Unable to parse API Management OData response; could not find default object.");throw new Error("Unable to parse API Management OData response.");}function readProxyUrl(client, name) {return client.readProxyInfo(name).then(function (info) {_logger2.default.debug("Got information for proxy:" + name + ".");var proxy = findDefault(info.proxyEndPoints.results);var host = findDefault(proxy.virtualhosts.results);return (host.isSSL ? "https://" : "http://") + host.virtual_host + ":" + host.virtual_port + proxy.base_path;});}function readManifestUrl(client, path) {
    return (0, _utils.parseManifest)(path).then(function (manifest) {return readProxyUrl(client, manifest.proxy.name);});
}